Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 981771 - RFE: Provide memcache style slab information
Summary: RFE: Provide memcache style slab information
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
: 7.0.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-05 18:43 UTC by Scott Dodson
Modified: 2014-12-03 13:06 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-03 13:06:21 UTC
Type: Feature Request


Attachments (Terms of Use)

Description Scott Dodson 2013-07-05 18:43:54 UTC
Is it possible to provide additional memcache protocol stats? Mainly bytes in the cache but slab style information would be useful if that's applicable.

Comment 2 Tristan Tarrant 2013-07-10 12:03:16 UTC
Infinispan doesn't have anything resembling the "slab" allocation that the memcached server has. Memory allocation is currently handled by the JVM, so there is no 1:1 mapping.

Comment 3 Tristan Tarrant 2013-07-17 12:54:48 UTC
We might be able to give some stats when using storeAsBinary

Comment 4 Scott Dodson 2013-07-17 14:23:13 UTC
We're really just interested in having a better idea of what amount of data is in the cache. Is there an alternate way to get that information?


Note You need to log in before you can comment on or make changes to this bug.